Overview | Package | Class | Tree | Deprecated | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

## Package org.openorb.adapter

Utility classes supporting POA, BOA and forwward adapters.

See:
Description

Interface Summary
ObjectAdapter | Object adapters act as a contianer for servant objects and for child adapters.
TargetInfo | An object with this interface is output from the predispatch operation and is passed into the dispatch or cancel_dispatch operations.

Class Summary
IORUtil | The methods of this class comes from the ServerManager class in the net package.

Exception Summary
AdapterDestroyedException | This exception indicates that the request requires a target adapter which is currently in the process of being destroyed.

## Package org.openorb.adapter Description

Utility classes supporting POA, BOA and forwward adapters.

Overview | Package | Class | Tree | Deprecated | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES